<?php
namespace Claromentis\Search;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_5e30c4717ced36cff9e93e19a5" . "c576cc" => base64_decode("aXNfc3Ry" . "aW5n"), "_27d36ba68a85217963497e66" . "d46a8f86" => base64_decode("Z2V0dHlw" . "ZQ=="), "_2397f28de5e7da63cb6c899" . "57c558c65" => base64_decode("KCkgbXVzdCBiZSBhbiBhcnJheSBvZiBzdH" . "JpbmdzLCBvZmZzZXQg"), "_679665a8d413f3af1393462bc4d2" . "894f" => base64_decode("IGlzI" . "A=="), "_5c535722540e" . "1ef86eeede227" . "4ec9cd4" => base64_decode("Ojo" . "="), "_ea7a040ae8d83797a9d185188f" . "f864a2" => base64_decode("QXJndW1lbnQgMSBwY" . "XNzZWQgdG8g"), "_17a6e03f6ea2cb3182fe6" . "9cc5fbc89c6" => base64_decode("KCkgbXVzdCBiZSBhbiBhcnJheSBvZiBzdHJpbmdzLCBlbXB0eSBhcnJheSBw" . "cm92aWRlZA=="));
use TypeError;





class MultiMatch
{
    
    
    private $value;
    
    
    private $fields;
    public function __construct(array $fields, $value)
    {
        $this->SetFields($fields);
        $this->SetValue($value);
    }
    
    
    
    
    
    
    public function GetFields() : array
    {
        return $this->fields;
    }
    
    
    
    
    
    
    public function GetValue()
    {
        return $this->value;
    }
    
    
    
    
    
    
    public function SetFields(array $fields) : void
    {
        if (empty($fields)) {
            throw new TypeError($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_ea7a040ae8d83797a9d185188ff8" . "64a2"] . self::class . $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_5c535722540e1ef86eeede2274e" . "c9cd4"] . __FUNCTION__ . $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_17a6e03f6ea2cb3182fe69cc5fbc89c" . "6"]);
        }
        foreach ($fields as $_1f50e30be8c2fefa6881834e71d504a2 => $field) {
            if (!$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_5e30c4717ced36c" . "ff9e93e19a5c576c" . "c"]($field)) {
                throw new TypeError($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_ea7a040ae8d83" . "797a9d185188ff" . "864a2"] . self::class . $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_5c53572" . "2540e1ef" . "86eeede2" . "274ec9cd" . "4"] . __FUNCTION__ . ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_2397f28de5e7da63cb6c89957c55" . "8c65"] . $_1f50e30be8c2fefa6881834e71d504a2 . $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_679665a8d413f3af1393462bc4d2" . "894f"]) . $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_27d36ba68a85217963497e66d46a8f" . "86"]($field));
            }
        }
        $this->fields = $fields;
    }
    
    
    
    
    
    
    public function SetValue($value) : void
    {
        $this->value = $value;
    }
}